Subject: Re: bug#15448: 24.3; ido mode pegs cpu at 100% when auto-merge is triggered

From: Leo Liu <[email-masked]>
Date: Tue, 24 Sep 2013 10:11:59 +0800

On 2013-09-23 16:37 +0800, Fenton Travers wrote:
> emacs -Q
>
> Then I evaluate the following:
>
> (require 'ido)
> (ido-mode)
> (ido-everywhere 1)
> (setq ido-work-directory-list
> '("/home/fenton/projects/docs-DIR/documentation"
> "/home/fenton/projects/python/thai_real_estate/tre/"))

I can't reproduce this.

> Then I do a C-x C-f and type in the letters 'for'
>
> Then the minibuffer remains empty and unable to enter text in it and the
> CPU gets pegged to 100%.  Waiting doesn't resolve it.

Could you try M-x toggle-debug-on-quit, follow your recipe to get ido
stuck, and then C-g to see the backtrace?

Leo